#include <gtk--/object.h>
namespace Gtk {class AccelLabel_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Adjustment_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Alignment_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Arrow_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class AspectFrame_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Bin_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Box_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Button_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class ButtonBox_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class CList_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class CTree_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Calendar_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class CheckButton_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class CheckMenuItem_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class ColorSelection_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class ColorSelectionDialog_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Combo_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Container_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Curve_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Data_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Dialog_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class DrawingArea_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Editable_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Entry_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class EventBox_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class FileSelection_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Fixed_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class FontSelection_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class FontSelectionDialog_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Frame_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class GammaCurve_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class HBox_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class HButtonBox_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class HPaned_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class HRuler_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class HScale_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class HScrollbar_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class HSeparator_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class HandleBox_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Image_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class InputDialog_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Invisible_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Item_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Label_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Layout_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class List_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class ListItem_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Menu_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class MenuBar_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class MenuItem_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class MenuShell_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Misc_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Notebook_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Object_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class OptionMenu_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Packer_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Paned_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Pixmap_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Plug_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Preview_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Progress_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class ProgressBar_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class RadioButton_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class RadioMenuItem_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Range_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Ruler_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Scale_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Scrollbar_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class ScrolledWindow_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Separator_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Socket_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class SpinButton_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Statusbar_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Table_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class TearoffMenuItem_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Text_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class TipsQuery_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class ToggleButton_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Toolbar_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Tooltips_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Tree_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class TreeItem_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class VBox_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class VButtonBox_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class VPaned_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class VRuler_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class VScale_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class VScrollbar_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class VSeparator_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Viewport_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Widget_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
namespace Gtk {class Window_Class { public: static Gtk::Object* wrap_new(GtkObject*); };}
void gtkmm_wrap_init()
  {
    Gtk::wrap_register("GtkAccelLabel",&Gtk::AccelLabel_Class::wrap_new);
    Gtk::wrap_register("GtkAdjustment",&Gtk::Adjustment_Class::wrap_new);
    Gtk::wrap_register("GtkAlignment",&Gtk::Alignment_Class::wrap_new);
    Gtk::wrap_register("GtkArrow",&Gtk::Arrow_Class::wrap_new);
    Gtk::wrap_register("GtkAspectFrame",&Gtk::AspectFrame_Class::wrap_new);
    Gtk::wrap_register("GtkBin",&Gtk::Bin_Class::wrap_new);
    Gtk::wrap_register("GtkBox",&Gtk::Box_Class::wrap_new);
    Gtk::wrap_register("GtkButton",&Gtk::Button_Class::wrap_new);
    Gtk::wrap_register("GtkButtonBox",&Gtk::ButtonBox_Class::wrap_new);
    Gtk::wrap_register("GtkCList",&Gtk::CList_Class::wrap_new);
    Gtk::wrap_register("GtkCTree",&Gtk::CTree_Class::wrap_new);
    Gtk::wrap_register("GtkCalendar",&Gtk::Calendar_Class::wrap_new);
    Gtk::wrap_register("GtkCheckButton",&Gtk::CheckButton_Class::wrap_new);
    Gtk::wrap_register("GtkCheckMenuItem",&Gtk::CheckMenuItem_Class::wrap_new);
    Gtk::wrap_register("GtkColorSelection",&Gtk::ColorSelection_Class::wrap_new);
    Gtk::wrap_register("GtkColorSelectionDialog",&Gtk::ColorSelectionDialog_Class::wrap_new);
    Gtk::wrap_register("GtkCombo",&Gtk::Combo_Class::wrap_new);
    Gtk::wrap_register("GtkContainer",&Gtk::Container_Class::wrap_new);
    Gtk::wrap_register("GtkCurve",&Gtk::Curve_Class::wrap_new);
    Gtk::wrap_register("GtkData",&Gtk::Data_Class::wrap_new);
    Gtk::wrap_register("GtkDialog",&Gtk::Dialog_Class::wrap_new);
    Gtk::wrap_register("GtkDrawingArea",&Gtk::DrawingArea_Class::wrap_new);
    Gtk::wrap_register("GtkEditable",&Gtk::Editable_Class::wrap_new);
    Gtk::wrap_register("GtkEntry",&Gtk::Entry_Class::wrap_new);
    Gtk::wrap_register("GtkEventBox",&Gtk::EventBox_Class::wrap_new);
    Gtk::wrap_register("GtkFileSelection",&Gtk::FileSelection_Class::wrap_new);
    Gtk::wrap_register("GtkFixed",&Gtk::Fixed_Class::wrap_new);
    Gtk::wrap_register("GtkFontSelection",&Gtk::FontSelection_Class::wrap_new);
    Gtk::wrap_register("GtkFontSelectionDialog",&Gtk::FontSelectionDialog_Class::wrap_new);
    Gtk::wrap_register("GtkFrame",&Gtk::Frame_Class::wrap_new);
    Gtk::wrap_register("GtkGammaCurve",&Gtk::GammaCurve_Class::wrap_new);
    Gtk::wrap_register("GtkHBox",&Gtk::HBox_Class::wrap_new);
    Gtk::wrap_register("GtkHButtonBox",&Gtk::HButtonBox_Class::wrap_new);
    Gtk::wrap_register("GtkHPaned",&Gtk::HPaned_Class::wrap_new);
    Gtk::wrap_register("GtkHRuler",&Gtk::HRuler_Class::wrap_new);
    Gtk::wrap_register("GtkHScale",&Gtk::HScale_Class::wrap_new);
    Gtk::wrap_register("GtkHScrollbar",&Gtk::HScrollbar_Class::wrap_new);
    Gtk::wrap_register("GtkHSeparator",&Gtk::HSeparator_Class::wrap_new);
    Gtk::wrap_register("GtkHandleBox",&Gtk::HandleBox_Class::wrap_new);
    Gtk::wrap_register("GtkImage",&Gtk::Image_Class::wrap_new);
    Gtk::wrap_register("GtkInputDialog",&Gtk::InputDialog_Class::wrap_new);
    Gtk::wrap_register("GtkInvisible",&Gtk::Invisible_Class::wrap_new);
    Gtk::wrap_register("GtkItem",&Gtk::Item_Class::wrap_new);
    Gtk::wrap_register("GtkLabel",&Gtk::Label_Class::wrap_new);
    Gtk::wrap_register("GtkLayout",&Gtk::Layout_Class::wrap_new);
    Gtk::wrap_register("GtkList",&Gtk::List_Class::wrap_new);
    Gtk::wrap_register("GtkListItem",&Gtk::ListItem_Class::wrap_new);
    Gtk::wrap_register("GtkMenu",&Gtk::Menu_Class::wrap_new);
    Gtk::wrap_register("GtkMenuBar",&Gtk::MenuBar_Class::wrap_new);
    Gtk::wrap_register("GtkMenuItem",&Gtk::MenuItem_Class::wrap_new);
    Gtk::wrap_register("GtkMenuShell",&Gtk::MenuShell_Class::wrap_new);
    Gtk::wrap_register("GtkMisc",&Gtk::Misc_Class::wrap_new);
    Gtk::wrap_register("GtkNotebook",&Gtk::Notebook_Class::wrap_new);
    Gtk::wrap_register("GtkObject",&Gtk::Object_Class::wrap_new);
    Gtk::wrap_register("GtkOptionMenu",&Gtk::OptionMenu_Class::wrap_new);
    Gtk::wrap_register("GtkPacker",&Gtk::Packer_Class::wrap_new);
    Gtk::wrap_register("GtkPaned",&Gtk::Paned_Class::wrap_new);
    Gtk::wrap_register("GtkPixmap",&Gtk::Pixmap_Class::wrap_new);
    Gtk::wrap_register("GtkPlug",&Gtk::Plug_Class::wrap_new);
    Gtk::wrap_register("GtkPreview",&Gtk::Preview_Class::wrap_new);
    Gtk::wrap_register("GtkProgress",&Gtk::Progress_Class::wrap_new);
    Gtk::wrap_register("GtkProgressBar",&Gtk::ProgressBar_Class::wrap_new);
    Gtk::wrap_register("GtkRadioButton",&Gtk::RadioButton_Class::wrap_new);
    Gtk::wrap_register("GtkRadioMenuItem",&Gtk::RadioMenuItem_Class::wrap_new);
    Gtk::wrap_register("GtkRange",&Gtk::Range_Class::wrap_new);
    Gtk::wrap_register("GtkRuler",&Gtk::Ruler_Class::wrap_new);
    Gtk::wrap_register("GtkScale",&Gtk::Scale_Class::wrap_new);
    Gtk::wrap_register("GtkScrollbar",&Gtk::Scrollbar_Class::wrap_new);
    Gtk::wrap_register("GtkScrolledWindow",&Gtk::ScrolledWindow_Class::wrap_new);
    Gtk::wrap_register("GtkSeparator",&Gtk::Separator_Class::wrap_new);
    Gtk::wrap_register("GtkSocket",&Gtk::Socket_Class::wrap_new);
    Gtk::wrap_register("GtkSpinButton",&Gtk::SpinButton_Class::wrap_new);
    Gtk::wrap_register("GtkStatusbar",&Gtk::Statusbar_Class::wrap_new);
    Gtk::wrap_register("GtkTable",&Gtk::Table_Class::wrap_new);
    Gtk::wrap_register("GtkTearoffMenuItem",&Gtk::TearoffMenuItem_Class::wrap_new);
    Gtk::wrap_register("GtkText",&Gtk::Text_Class::wrap_new);
    Gtk::wrap_register("GtkTipsQuery",&Gtk::TipsQuery_Class::wrap_new);
    Gtk::wrap_register("GtkToggleButton",&Gtk::ToggleButton_Class::wrap_new);
    Gtk::wrap_register("GtkToolbar",&Gtk::Toolbar_Class::wrap_new);
    Gtk::wrap_register("GtkTooltips",&Gtk::Tooltips_Class::wrap_new);
    Gtk::wrap_register("GtkTree",&Gtk::Tree_Class::wrap_new);
    Gtk::wrap_register("GtkTreeItem",&Gtk::TreeItem_Class::wrap_new);
    Gtk::wrap_register("GtkVBox",&Gtk::VBox_Class::wrap_new);
    Gtk::wrap_register("GtkVButtonBox",&Gtk::VButtonBox_Class::wrap_new);
    Gtk::wrap_register("GtkVPaned",&Gtk::VPaned_Class::wrap_new);
    Gtk::wrap_register("GtkVRuler",&Gtk::VRuler_Class::wrap_new);
    Gtk::wrap_register("GtkVScale",&Gtk::VScale_Class::wrap_new);
    Gtk::wrap_register("GtkVScrollbar",&Gtk::VScrollbar_Class::wrap_new);
    Gtk::wrap_register("GtkVSeparator",&Gtk::VSeparator_Class::wrap_new);
    Gtk::wrap_register("GtkViewport",&Gtk::Viewport_Class::wrap_new);
    Gtk::wrap_register("GtkWidget",&Gtk::Widget_Class::wrap_new);
    Gtk::wrap_register("GtkWindow",&Gtk::Window_Class::wrap_new);
  }
